우분투 9.10 ati 드라이버(카탈리스트 9.10) 설치하기!

[url=http://wiki.cchtml.com/index.php/Ubuntu_Jaunty_Installation_Guide:12ufh8i6]Ubuntu Jaunty Installation Guide[/url:12ufh8i6]
[url=http://ubuntu.or.kr/viewtopic.php?p=35440:12ufh8i6]ati그래픽카드…[/url:12ufh8i6]

** 카탈리스트 9.10의 flgrx버전은 8.661 입니다
** X시리즈 사용자는 오픈 소스 드라이버를 사용해야 한다는군요… 참고하세요!
** 수동으로 ATI 드라이버 설치하려는 분들께 도움이 될까 하고 블로그에 작성한 글을 옮겨왔습니다… 문제가 되면 삭제부탁드릴께요<
** 아무쪼록 우분투와 즐거운 하루되세요 ‘ㅅ’)

  1. 그래픽 드라이버(Catalyst) 다운로드 ([url=http&#58;//support&#46;amd&#46;com/us/gpudownload/Pages/index&#46;aspx:12ufh8i6]바로가기[/url:12ufh8i6])
  • 보통 다운로드 받으면 홈폴더 내부의 다운로드 폴더에 파일이 받아집니다. (파이어폭스 설정)
  • 개인적으로 홈 폴더에 파일을 옮겨서 작업하시는걸 추천해드립니다 (터미널 실행시 기본위치가 홈 폴더입니다)
  1. 필요 패키지 설치
  • debconf는 기본적으로 설치되어 있습니다
  • 우분투 9.10에서는 libstdc++6가 제공되므로 ++5는 별도로 설치해야 합니다. (2-1 링크 참조)
  • libamdxvba(AMD Unified Video Decoder library)가 필요하지 않다면 libstdc++5는 설치하지 않아도 됩니다.

[code:12ufh8i6]sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++5 dkms[/code:12ufh8i6]

2-1. libstdc++5 다운로드

32비트환경

[quote:12ufh8i6][url=http&#58;//packages&#46;ubuntu&#46;com/jaunty/i386/libstdc++5/download:12ufh8i6]Download Page for libstdc++5_3.3.6-17ubuntu1_i386.deb on Intel x86 machines[/url:12ufh8i6]
[url=http&#58;//kr&#46;archive&#46;ubuntu&#46;com/ubuntu/pool/universe/g/gcc-3&#46;3/libstdc++5_3&#46;3&#46;6-17ubuntu1_i386&#46;deb:12ufh8i6]⊙대한민국 서버 (KAIST)[/url:12ufh8i6]
[url=http&#58;//ftp&#46;daum&#46;net/ubuntu/pool/universe/g/gcc-3&#46;3/libstdc++5_3&#46;3&#46;6-17ubuntu1_i386&#46;deb:12ufh8i6]⊙다음FTP[/url:12ufh8i6]
[/quote:12ufh8i6]

64비트 환경

[quote:12ufh8i6]
[url=http&#58;//packages&#46;ubuntu&#46;com/jaunty/amd64/libstdc++5/download:12ufh8i6]Download Page for libstdc++5_3.3.6-17ubuntu1_amd64.deb on AMD64 machines[/url:12ufh8i6]
[url=http&#58;//kr&#46;archive&#46;ubuntu&#46;com/ubuntu/pool/universe/g/gcc-3&#46;3/libstdc++5_3&#46;3&#46;6-17ubuntu1_amd64&#46;deb:12ufh8i6]⊙대한민국 서버 (KAIST)[/url:12ufh8i6]
[url=http&#58;//ftp&#46;daum&#46;net/ubuntu/pool/universe/g/gcc-3&#46;3/libstdc++5_3&#46;3&#46;6-17ubuntu1_amd64&#46;deb:12ufh8i6]⊙다음FTP[/url:12ufh8i6]
[/quote:12ufh8i6]

  1. deb 패키지로 변환합니다.
  • 윈도우와는 다르게 우분투에서 설치할수 있는 deb 파일로 변환해야 합니다.
    [b:12ufh8i6] * 오타가 있었네요 orz[/b:12ufh8i6]

[code:12ufh8i6]sh ati-driver-installer-9-10-x86.x86_64.run --buildpkg Ubuntu/karmic[/code:12ufh8i6]

  1. deb 패키지를 설치합니다.

[code:12ufh8i6]sudo dpkg -i xorg-driver-fglrx_.deb fglrx-kernel-source_.deb fglrx-amdcccle_.deb libamdxvba1_.deb[/code:12ufh8i6]

4-1. 64비트 환경에서 ia32-libs가 설치되지 않아 오류가 발생할때는…

[code:12ufh8i6]sudo apt-get -f install
sudo dpkg -i --force-overwrite xorg-driver-fglrx_.deb fglrx-kernel-source_.deb fglrx-amdcccle_.deb fglrx-modaliases_.deb libamdxvba1_*.deb[/code:12ufh8i6]

  1. Xorg 설정 파일 생성

[code:12ufh8i6]* 일반적인 싱글 카드
sudo aticonfig --initial -f

  • X2 카드
    sudo aticonfig --initial -f --adapter=all

  • 듀얼/멀티 모니터
    sudo aticonfig --initial -f --set-pcs-str="DDX,EnableRandR12,FALSE"

  • 크로스 파이어 구성 (차례대로)
    sudo aticonfig --initial -f
    sudo aticonfig --adapter=0,1 --cfa
    aticonfig --adapter=0,1 --crossfire=on[/code:12ufh8i6]

  1. 재부팅후 설치 확인

[quote:12ufh8i6]터미널-fglrxinfo
시스템-관리-하드웨어 드라이버 독점 드라이버 활성화 확인[/quote:12ufh8i6]

제 노트북 기준으로 위의 방법에서 추가로 필요한 것이 있었습니다.
시스템>관리>하드웨어 드라이버로 설치해도 마찬가지로 잘되었습니다.

저의 경우 위에서 제시한 방법으로 해결하지 않았습니다.
먼저 제한된 하드웨어를 활성화
터미날창에서 아래내용을 실행한 후 리부팅하니 드라이버 사용에 문제가 없었습니다.

sudo aticonfig --initial -f
sudo aticonfig --acpi-services=off

노트북 기종은 HP EliteBook 8350p
VGA : HD3650카드
OS : ubuntu 9.10 64bit

크로스 파이어 구성 명령어 참 감사합니다.

9.11 은 프리징 없을려나요 ㅡㅡ;;

저 같은 경우에는 그냥 홈에 넣어두고 콘솔에서
sh ./탭 눌러서 ati~~~.run
이렇게 설치하는데 이렇게 설치해도 별 문제 없더라고요.

ps. 검색해보니까 deb 패키지로 만들어 설치하는게 지울때 좋은가보네요.
저는 그냥 설치하고 나중에 업뎃할때 덮어씌워버려서요.
아직까지는 문제가 없는데 저처럼 설치해서 사용하면 문제가 될 요인이 있나요?